Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.id
Class IdentityGenerator

    java.lang.Object
      org.hibernate.id.AbstractPostInsertGenerator
          org.hibernate.id.IdentityGenerator

All Implemented Interfaces:
  IdentifierGenerator, PostInsertIdentifierGenerator

    public class IdentityGenerator

extends AbstractPostInsertGenerator

A generator for use with ANSI-SQL IDENTITY columns used as the primary key. The IdentityGenerator for autoincrement/identity key generation.
Indicates to the `Session` that identity (ie. identity/autoincrement column) key generation should be used.

Author:
  Christoph Sturm

Nested Class Summary
`static class` | `IdentityGenerator.BasicDelegate` Delegate for dealing with IDENTITY columns where the dialect requires an additional command execution to retrieve the generated IDENTITY value
`static class` | `IdentityGenerator.GetGeneratedKeysDelegate` Delegate for dealing with IDENTITY columns using JDBC3 getGeneratedKeys
`static class` | `IdentityGenerator.InsertSelectDelegate` Delegate for dealing with IDENTITY columns where the dialect supports returning the generated IDENTITY value directly from the insert statement.

Field Summary

Fields inherited from interface org.hibernate.id.IdentifierGenerator
`ENTITY_NAME`

Constructor Summary
`IdentityGenerator()`

Method Summary
`InsertGeneratedIdentifierDelegate` | `getInsertGeneratedIdentifierDelegate(PostInsertIdentityPersister persister, Dialect dialect, boolean isGetGeneratedKeysEnabled)`

Methods inherited from class org.hibernate.id.AbstractPostInsertGenerator
`generate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdentityGenerator

    public IdentityGenerator()

Method Detail

### getInsertGeneratedIdentifierDelegate

    public InsertGeneratedIdentifierDelegate getInsertGeneratedIdentifierDelegate(PostInsertIdentityPersister persister,
                                                                                  Dialect dialect,
                                                                                  boolean isGetGeneratedKeysEnabled)
                                                                           throws HibernateException

  Throws:
    `HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD